com.smartgwt.client.widgets.viewer

## Class DetailViewerField

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Field
        - - com.smartgwt.client.data.DBCField
          - - com.smartgwt.client.widgets.viewer.DetailViewerField

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class DetailViewerField
      extends DBCField

  An object literal with a particular set of properties used to configure the display of and interaction with the rows of a `DetailViewer`.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetailViewerField()`
    `DetailViewerField(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `DetailViewerField(java.lang.String name)`
    `DetailViewerField(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCanExport()` Dictates whether the data in this field be exported.
    `java.lang.Boolean` | `getCanHilite()` Determines whether this field can be hilited.
    `java.lang.String` | `getCellStyle()` If specified, cells in this field will be rendered using this css className rather than `DetailViewer.cellStyle`
    `java.lang.String` | `getDataPath()` dataPath property allows this field to display detail from nested data structures
    `DateDisplayFormat` | `getDateFormatter()` Display format to use for date type values within this field.
    `java.lang.Integer` | `getDecimalPad()` Applies only to fields of type "float" and enforces a minimum number of digits shown after the decimal point.
    `java.lang.Integer` | `getDecimalPrecision()` Applies only to fields of type "float" and affects how many significant digits are shown.
    `java.lang.String` | `getDisplayField()` If `displayField` is defined for the field then the DetailViewer will display the `displayField` attribute of records instead of the attribute given by the `name` of the field.
    `java.lang.String` | `getEmptyCellValue()` The value to display for a cell whose value is null or the empty string after applying formatCellValue and valueMap (if any).
    `java.lang.Boolean` | `getEscapeHTML()` By default HTML values in DetailViewer cells will be interpreted by the browser.
    `java.lang.String` | `getExportFormat()` `FormatString` used during exports for numeric or date formatting.
    `java.lang.Boolean` | `getExportRawValues()` Dictates whether the data in this field should be exported raw by `exportClientData()`.
    `java.lang.String` | `getFormat()` `FormatString` for numeric or date formatting.
    `java.lang.Integer` | `getHeight()` For `type`: `"separator"`, this attribute specifies the height of the separator.
    `java.lang.Integer` | `getHiliteIconHeight()` Height for hilite icons for this field.
    `java.lang.Integer` | `getHiliteIconLeftPadding()` How much padding should there be on the left of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconLeftPadding`
    `HiliteIconPosition` | `getHiliteIconPosition()` When `DetailViewer.hiliteIcons` are present, where the hilite icon will be placed relative to the field value.
    `java.lang.Integer` | `getHiliteIconRightPadding()` How much padding should there be on the right of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconRightPadding`
    `java.lang.Integer` | `getHiliteIconSize()` Default width and height of `hilite icons` in this field.
    `java.lang.Integer` | `getHiliteIconWidth()` Width for hilite icons for this field.
    `java.lang.Integer` | `getImageHeight()` Height of image shown for fieldTypes image in this field.
    `java.lang.String` | `getImageHeightAsString()` Height of image shown for fieldTypes image in this field.
    `java.lang.Integer` | `getImageSize()` Size of images shown for fieldTypes image in this field.
    `java.lang.String` | `getImageSizeAsString()` Size of images shown for fieldTypes image in this field.
    `java.lang.String` | `getImageURLPrefix()` If this field has type set to `"image"` and the URL for the image displayed is not absolute, the path of the URL will be relative to this string.
    `java.lang.String` | `getImageURLSuffix()` If this field has type set to `"image"`, the value of this property will be appended to the end of the URL for the icon displayed.
    `java.lang.Integer` | `getImageWidth()` Width of images shown for fieldTypes image in this field.
    `java.lang.String` | `getImageWidthAsString()` Width of images shown for fieldTypes image in this field.
    `java.lang.String` | `getIncludeFrom()` Indicates this field's values come from another, related DataSource.
    `java.lang.String` | `getLinkText()` The HTML to display for values of this field if the field type is set to "link".
    `java.lang.String` | `getLinkTextProperty()` Name of the property in a DetailViewerRecord that holds the HTML to display for values of this field if the field type is set to "link".
    `java.lang.String` | `getLinkURLPrefix()` If this field has type set to `"link"`, setting this property will apply a standard prefix to the link URL when displaying values of this field.
    `java.lang.String` | `getLinkURLSuffix()` If this field has type set to `"link"`, setting this property will apply a standard suffix to the link URL when displaying values of this field.
    `java.lang.String` | `getName()` Name property used to identify the field, and determines which attribute from records will be displayed in this field.
    `static DetailViewerField` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getPrintCellStyle()` If specified, when generating print HTML for this detailViewer, cells in this field will be rendered using this css className rather than `DetailViewer.printCellStyle`
    `java.lang.Boolean` | `getShowFileInline()` For a field of type:"imageFile", indicates whether to stream the image and display it inline or to display the View and Download icons.
    `java.lang.String` | `getTarget()` By default, clicking a link rendered by this item opens it in a new browser window.
    `TimeDisplayFormat` | `getTimeFormatter()` Time-format to apply to date type values within this field.
    `java.lang.String` | `getTitle()` The title of the field as displayed on the left-hand side.
    `java.lang.String` | `getType()` Specifies the type of this DetailViewerField.
    `UserFormula` | `getUserFormula()` Formula definition for this field.
    `UserSummary` | `getUserSummary()` Summary definition for this field.
    `java.lang.String` | `getValue()` When a field specifies its `type` to be "header", the value of this attribute specifies the header text.
    `DetailViewerField` | `setCanExport(java.lang.Boolean canExport)` Dictates whether the data in this field be exported.
    `DetailViewerField` | `setCanHilite(java.lang.Boolean canHilite)` Determines whether this field can be hilited.
    `DetailViewerField` | `setCellStyle(java.lang.String cellStyle)` If specified, cells in this field will be rendered using this css className rather than `DetailViewer.cellStyle`
    `void` | `setCellStyleHandler(CellStyleHandler handler)` Return the CSS class for a cell.
    `DetailViewerField` | `setDataPath(java.lang.String dataPath)` dataPath property allows this field to display detail from nested data structures
    `DetailViewerField` | `setDateFormatter(DateDisplayFormat dateFormatter)` Display format to use for date type values within this field.
    `DetailViewerField` | `setDecimalPad(java.lang.Integer decimalPad)` Applies only to fields of type "float" and enforces a minimum number of digits shown after the decimal point.
    `DetailViewerField` | `setDecimalPrecision(java.lang.Integer decimalPrecision)` Applies only to fields of type "float" and affects how many significant digits are shown.
    `void` | `setDetailFormatter(DetailFormatter formatter)`
    `DetailViewerField` | `setDisplayField(java.lang.String displayField)` If `displayField` is defined for the field then the DetailViewer will display the `displayField` attribute of records instead of the attribute given by the `name` of the field.
    `DetailViewerField` | `setEmptyCellValue(java.lang.String emptyCellValue)` The value to display for a cell whose value is null or the empty string after applying formatCellValue and valueMap (if any).
    `DetailViewerField` | `setEscapeHTML(java.lang.Boolean escapeHTML)` By default HTML values in DetailViewer cells will be interpreted by the browser.
    `DetailViewerField` | `setExportFormat(java.lang.String exportFormat)` `FormatString` used during exports for numeric or date formatting.
    `DetailViewerField` | `setExportRawValues(java.lang.Boolean exportRawValues)` Dictates whether the data in this field should be exported raw by `exportClientData()`.
    `DetailViewerField` | `setFormat(java.lang.String format)` `FormatString` for numeric or date formatting.
    `DetailViewerField` | `setHeight(java.lang.Integer height)` For `type`: `"separator"`, this attribute specifies the height of the separator.
    `DetailViewerField` | `setHiliteIconHeight(java.lang.Integer hiliteIconHeight)` Height for hilite icons for this field.
    `DetailViewerField` | `setHiliteIconLeftPadding(java.lang.Integer hiliteIconLeftPadding)` How much padding should there be on the left of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconLeftPadding`
    `DetailViewerField` | `setHiliteIconPosition(HiliteIconPosition hiliteIconPosition)` When `DetailViewer.hiliteIcons` are present, where the hilite icon will be placed relative to the field value.
    `DetailViewerField` | `setHiliteIconRightPadding(java.lang.Integer hiliteIconRightPadding)` How much padding should there be on the right of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconRightPadding`
    `DetailViewerField` | `setHiliteIconSize(java.lang.Integer hiliteIconSize)` Default width and height of `hilite icons` in this field.
    `DetailViewerField` | `setHiliteIconWidth(java.lang.Integer hiliteIconWidth)` Width for hilite icons for this field.
    `DetailViewerField` | `setImageHeight(java.lang.Integer imageHeight)` Height of image shown for fieldTypes image in this field.
    `DetailViewerField` | `setImageHeight(java.lang.String imageHeight)` Height of image shown for fieldTypes image in this field.
    `DetailViewerField` | `setImageSize(java.lang.Integer imageSize)` Size of images shown for fieldTypes image in this field.
    `DetailViewerField` | `setImageSize(java.lang.String imageSize)` Size of images shown for fieldTypes image in this field.
    `DetailViewerField` | `setImageURLPrefix(java.lang.String imageURLPrefix)` If this field has type set to `"image"` and the URL for the image displayed is not absolute, the path of the URL will be relative to this string.
    `DetailViewerField` | `setImageURLSuffix(java.lang.String imageURLSuffix)` If this field has type set to `"image"`, the value of this property will be appended to the end of the URL for the icon displayed.
    `DetailViewerField` | `setImageWidth(java.lang.Integer imageWidth)` Width of images shown for fieldTypes image in this field.
    `DetailViewerField` | `setImageWidth(java.lang.String imageWidth)` Width of images shown for fieldTypes image in this field.
    `DetailViewerField` | `setIncludeFrom(java.lang.String includeFrom)` Indicates this field's values come from another, related DataSource.
    `DetailViewerField` | `setLinkText(java.lang.String linkText)` The HTML to display for values of this field if the field type is set to "link".
    `DetailViewerField` | `setLinkTextProperty(java.lang.String linkTextProperty)` Name of the property in a DetailViewerRecord that holds the HTML to display for values of this field if the field type is set to "link".
    `DetailViewerField` | `setLinkURLPrefix(java.lang.String linkURLPrefix)` If this field has type set to `"link"`, setting this property will apply a standard prefix to the link URL when displaying values of this field.
    `DetailViewerField` | `setLinkURLSuffix(java.lang.String linkURLSuffix)` If this field has type set to `"link"`, setting this property will apply a standard suffix to the link URL when displaying values of this field.
    `DetailViewerField` | `setName(java.lang.String name)` Name property used to identify the field, and determines which attribute from records will be displayed in this field.
    `DetailViewerField` | `setPrintCellStyle(java.lang.String printCellStyle)` If specified, when generating print HTML for this detailViewer, cells in this field will be rendered using this css className rather than `DetailViewer.printCellStyle`
    `DetailViewerField` | `setShowFileInline(java.lang.Boolean showFileInline)` For a field of type:"imageFile", indicates whether to stream the image and display it inline or to display the View and Download icons.
    `void` | `setShowIfCondition(DetailViewerFieldIfFunction showIf)` If specified on a field, this method is evaluated at draw time to determine whether or not to show this particular field.
    `DetailViewerField` | `setTarget(java.lang.String target)` By default, clicking a link rendered by this item opens it in a new browser window.
    `DetailViewerField` | `setTimeFormatter(TimeDisplayFormat timeFormatter)` Time-format to apply to date type values within this field.
    `DetailViewerField` | `setTitle(java.lang.String title)` The title of the field as displayed on the left-hand side.
    `DetailViewerField` | `setType(java.lang.String type)` Specifies the type of this DetailViewerField.
    `DetailViewerField` | `setUserFormula(UserFormula userFormula)` Formula definition for this field.
    `DetailViewerField` | `setUserSummary(UserSummary userSummary)` Summary definition for this field.
    `DetailViewerField` | `setValue(java.lang.String value)` When a field specifies its `type` to be "header", the value of this attribute specifies the header text.
    `DetailViewerField` | `setValueMap(java.util.Map valueMap)` A property list (or an expression that evaluates to a property list) specifying a mapping of internal values to display values for the field (row).

    - ### Methods inherited from class com.smartgwt.client.data.Field

      `getCanEdit, getExportTitle, getMultiple, getSortByField, getValueMap, setCanEdit, setExportTitle, setMultiple, setRequired, setSortByField`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailViewerField

          public DetailViewerField()

    - #### DetailViewerField

          public DetailViewerField(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### DetailViewerField

          public DetailViewerField(java.lang.String name)

    - #### DetailViewerField

          public DetailViewerField(java.lang.String name,
                                   java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static DetailViewerField getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setCanExport

          public DetailViewerField setCanExport(java.lang.Boolean canExport)

      Dictates whether the data in this field be exported. Explicitly set this to false to prevent exporting. Has no effect if the underlying `dataSourceField` is explicitly set to canExport: false.
      Overrides:
        `setCanExport` in class `Field`
      Parameters:
        `canExport` - New canExport value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getCanExport

          public java.lang.Boolean getCanExport()

      Dictates whether the data in this field be exported. Explicitly set this to false to prevent exporting. Has no effect if the underlying `dataSourceField` is explicitly set to canExport: false.
      Overrides:
        `getCanExport` in class `Field`
      Returns:
        Current canExport value. Default value is null

    - #### setCanHilite

          public DetailViewerField setCanHilite(java.lang.Boolean canHilite)

      Determines whether this field can be hilited. Set to false to prevent this field from appearing in HiliteEditor.
      Parameters:
        `canHilite` - New canHilite value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Hiliting`

    - #### getCanHilite

          public java.lang.Boolean getCanHilite()

      Determines whether this field can be hilited. Set to false to prevent this field from appearing in HiliteEditor.
      Returns:
        Current canHilite value. Default value is null
      See Also:
        `Hiliting`

    - #### setCellStyle

          public DetailViewerField setCellStyle(java.lang.String cellStyle)

      If specified, cells in this field will be rendered using this css className rather than `DetailViewer.cellStyle`
      Parameters:
        `cellStyle` - New cellStyle value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `CSSStyleName`

    - #### getCellStyle

          public java.lang.String getCellStyle()

      If specified, cells in this field will be rendered using this css className rather than `DetailViewer.cellStyle`
      Returns:
        Optional method to return the CSS class for cells in this field. If specified, this method will be called from `DetailViewer.getCellStyle()`, and should return a css class name. Default value is null
      See Also:
        `CSSStyleName`

    - #### setDataPath

          public DetailViewerField setDataPath(java.lang.String dataPath)

      dataPath property allows this field to display detail from nested data structures

      Note : This is an advanced setting

      Parameters:
        `dataPath` - New dataPath value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getDataPath

          public java.lang.String getDataPath()

      dataPath property allows this field to display detail from nested data structures
      Returns:
        Current dataPath value. Default value is null

    - #### setDateFormatter

          public DetailViewerField setDateFormatter(DateDisplayFormat dateFormatter)

      Display format to use for date type values within this field.

      The `timeFormatter` may also be used to format underlying Date values as times (omitting the date part entirely). If both `dateFormatter` and `timeFormatter` are specified on a field, for fields specified as `type "time"` the `timeFormatter` will be used, otherwise the `dateFormatter`

      If `field.dateFormatter` and `field.timeFormatter` is unspecified, date display format may be defined at the component level via `DetailViewer.dateFormatter`, or for fields of type `"datetime"` `DetailViewer.datetimeFormatter`. Otherwise the default is to use the system-wide default normal date format, configured via `DateUtil.setNormalDisplayFormat()`. Specify any valid `DateDisplayFormat` to change the format used by this item.

      Parameters:
        `dateFormatter` - New dateFormatter value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `ListGrid.setDateFormatter(com.smartgwt.client.types.DateDisplayFormat)`, `ListGrid.setDatetimeFormatter(com.smartgwt.client.types.DateDisplayFormat)`, `ListGridField.setTimeFormatter(com.smartgwt.client.types.TimeDisplayFormat)`

    - #### getDateFormatter

          public DateDisplayFormat getDateFormatter()

      Display format to use for date type values within this field.

      The `timeFormatter` may also be used to format underlying Date values as times (omitting the date part entirely). If both `dateFormatter` and `timeFormatter` are specified on a field, for fields specified as `type "time"` the `timeFormatter` will be used, otherwise the `dateFormatter`

      If `field.dateFormatter` and `field.timeFormatter` is unspecified, date display format may be defined at the component level via `DetailViewer.dateFormatter`, or for fields of type `"datetime"` `DetailViewer.datetimeFormatter`. Otherwise the default is to use the system-wide default normal date format, configured via `DateUtil.setNormalDisplayFormat()`. Specify any valid `DateDisplayFormat` to change the format used by this item.

      Returns:
        Current dateFormatter value. Default value is null
      See Also:
        `ListGrid.getDateFormatter()`, `ListGrid.getDatetimeFormatter()`, `ListGridField.getTimeFormatter()`

    - #### setDecimalPad

          public DetailViewerField setDecimalPad(java.lang.Integer decimalPad)

      Applies only to fields of type "float" and enforces a minimum number of digits shown after the decimal point.

      For example, a field value of 343.1, 343.104 and 343.09872677 would all be shown as 343.10 if decimalPad is 2.

      The original unpadded value is always shown when the value is edited.

      Parameters:
        `decimalPad` - New decimalPad value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Appearance overview and related methods`

    - #### getDecimalPad

          public java.lang.Integer getDecimalPad()

      Applies only to fields of type "float" and enforces a minimum number of digits shown after the decimal point.

      For example, a field value of 343.1, 343.104 and 343.09872677 would all be shown as 343.10 if decimalPad is 2.

      The original unpadded value is always shown when the value is edited.

      Returns:
        Current decimalPad value. Default value is null
      See Also:
        `Appearance overview and related methods`

    - #### setDecimalPrecision

          public DetailViewerField setDecimalPrecision(java.lang.Integer decimalPrecision)

      Applies only to fields of type "float" and affects how many significant digits are shown.

      For example, with decimalPrecision 3, if the field value is 343.672677, 343.673 is shown.

      If the value is 125.2, 125.2 is shown - decimalPrecision will not cause extra zeros to be added. Use `DataSourceField.decimalPad` for this.

      A number is always shown with its original precision when edited.

      Parameters:
        `decimalPrecision` - New decimalPrecision value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Appearance overview and related methods`

    - #### getDecimalPrecision

          public java.lang.Integer getDecimalPrecision()

      Applies only to fields of type "float" and affects how many significant digits are shown.

      For example, with decimalPrecision 3, if the field value is 343.672677, 343.673 is shown.

      If the value is 125.2, 125.2 is shown - decimalPrecision will not cause extra zeros to be added. Use `DataSourceField.decimalPad` for this.

      A number is always shown with its original precision when edited.

      Returns:
        Current decimalPrecision value. Default value is null
      See Also:
        `Appearance overview and related methods`

    - #### setDisplayField

          public DetailViewerField setDisplayField(java.lang.String displayField)

      If `displayField` is defined for the field then the DetailViewer will display the `displayField` attribute of records instead of the attribute given by the `name` of the field.
      Parameters:
        `displayField` - New displayField value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getDisplayField

          public java.lang.String getDisplayField()

      If `displayField` is defined for the field then the DetailViewer will display the `displayField` attribute of records instead of the attribute given by the `name` of the field.
      Returns:
        Current displayField value. Default value is null

    - #### setEmptyCellValue

          public DetailViewerField setEmptyCellValue(java.lang.String emptyCellValue)

      The value to display for a cell whose value is null or the empty string after applying formatCellValue and valueMap (if any).

      This is the field-specific attribute. You may also set the emptyCellValue at the viewer level to define the emptyCellValue for all empty fields in the viewer.

      Parameters:
        `emptyCellValue` - New emptyCellValue value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `DetailViewer.setEmptyCellValue(java.lang.String)`, `HTMLString`, `Appearance overview and related methods`

    - #### getEmptyCellValue

          public java.lang.String getEmptyCellValue()

      The value to display for a cell whose value is null or the empty string after applying formatCellValue and valueMap (if any).

      This is the field-specific attribute. You may also set the emptyCellValue at the viewer level to define the emptyCellValue for all empty fields in the viewer.

      Returns:
        Current emptyCellValue value. Default value is null
      See Also:
        `DetailViewer.getEmptyCellValue()`, `HTMLString`, `Appearance overview and related methods`

    - #### setEscapeHTML

          public DetailViewerField setEscapeHTML(java.lang.Boolean escapeHTML)

      By default HTML values in DetailViewer cells will be interpreted by the browser. Setting this flag to true will causes HTML characters to be escaped, meaning the raw value of the field (for example `"<b>AAA</b>"`) is displayed to the user rather than the interpreted HTML (for example `"AAA"`)
      Overrides:
        `setEscapeHTML` in class `Field`
      Parameters:
        `escapeHTML` - New escapeHTML value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getEscapeHTML

          public java.lang.Boolean getEscapeHTML()

      By default HTML values in DetailViewer cells will be interpreted by the browser. Setting this flag to true will causes HTML characters to be escaped, meaning the raw value of the field (for example `"<b>AAA</b>"`) is displayed to the user rather than the interpreted HTML (for example `"AAA"`)
      Overrides:
        `getEscapeHTML` in class `Field`
      Returns:
        Current escapeHTML value. Default value is null

    - #### setExportFormat

          public DetailViewerField setExportFormat(java.lang.String exportFormat)

      `FormatString` used during exports for numeric or date formatting. See `DataSourceField.exportFormat`.
      Parameters:
        `exportFormat` - New exportFormat value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `FormatString`, `Exports & Formatting`

    - #### getExportFormat

          public java.lang.String getExportFormat()

      `FormatString` used during exports for numeric or date formatting. See `DataSourceField.exportFormat`.
      Returns:
        Current exportFormat value. Default value is null
      See Also:
        `FormatString`, `Exports & Formatting`

    - #### setExportRawValues

          public DetailViewerField setExportRawValues(java.lang.Boolean exportRawValues)

      Dictates whether the data in this field should be exported raw by `exportClientData()`. If set to true for a field, the values in the field-formatters will not be executed for data in this field.
      Parameters:
        `exportRawValues` - New exportRawValues value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getExportRawValues

          public java.lang.Boolean getExportRawValues()

      Dictates whether the data in this field should be exported raw by `exportClientData()`. If set to true for a field, the values in the field-formatters will not be executed for data in this field.
      Returns:
        Current exportRawValues value. Default value is null

    - #### setFormat

          public DetailViewerField setFormat(java.lang.String format)

      `FormatString` for numeric or date formatting. See `DataSourceField.format`.
      Parameters:
        `format` - New format value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `FormatString`, `Exports & Formatting`

    - #### getFormat

          public java.lang.String getFormat()

      `FormatString` for numeric or date formatting. See `DataSourceField.format`.
      Returns:
        Current format value. Default value is null
      See Also:
        `FormatString`, `Exports & Formatting`

    - #### setHeight

          public DetailViewerField setHeight(java.lang.Integer height)

      For `type`: `"separator"`, this attribute specifies the height of the separator.
      Parameters:
        `height` - New height value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getHeight

          public java.lang.Integer getHeight()

      For `type`: `"separator"`, this attribute specifies the height of the separator.
      Returns:
        Current height value. Default value is null

    - #### setHiliteIconHeight

          public DetailViewerField setHiliteIconHeight(java.lang.Integer hiliteIconHeight)

      Height for hilite icons for this field. Overrides `DetailViewer.hiliteIconSize`, `DetailViewer.hiliteIconHeight`, and `hiliteIconSize`.
      Parameters:
        `hiliteIconHeight` - New hiliteIconHeight value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Hiliting`

    - #### getHiliteIconHeight

          public java.lang.Integer getHiliteIconHeight()

      Height for hilite icons for this field. Overrides `DetailViewer.hiliteIconSize`, `DetailViewer.hiliteIconHeight`, and `hiliteIconSize`.
      Returns:
        Current hiliteIconHeight value. Default value is null
      See Also:
        `Hiliting`

    - #### setHiliteIconLeftPadding

          public DetailViewerField setHiliteIconLeftPadding(java.lang.Integer hiliteIconLeftPadding)

      How much padding should there be on the left of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconLeftPadding`
      Parameters:
        `hiliteIconLeftPadding` - New hiliteIconLeftPadding value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Hiliting`

    - #### getHiliteIconLeftPadding

          public java.lang.Integer getHiliteIconLeftPadding()

      How much padding should there be on the left of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconLeftPadding`
      Returns:
        Current hiliteIconLeftPadding value. Default value is null
      See Also:
        `Hiliting`

    - #### setHiliteIconPosition

          public DetailViewerField setHiliteIconPosition(HiliteIconPosition hiliteIconPosition)

      When `DetailViewer.hiliteIcons` are present, where the hilite icon will be placed relative to the field value. See `HiliteIconPosition`. Overrides `DetailViewer.hiliteIconPosition`
      Parameters:
        `hiliteIconPosition` - New hiliteIconPosition value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Hiliting`

    - #### getHiliteIconPosition

          public HiliteIconPosition getHiliteIconPosition()

      When `DetailViewer.hiliteIcons` are present, where the hilite icon will be placed relative to the field value. See `HiliteIconPosition`. Overrides `DetailViewer.hiliteIconPosition`
      Returns:
        Current hiliteIconPosition value. Default value is null
      See Also:
        `Hiliting`

    - #### setHiliteIconRightPadding

          public DetailViewerField setHiliteIconRightPadding(java.lang.Integer hiliteIconRightPadding)

      How much padding should there be on the right of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconRightPadding`
      Parameters:
        `hiliteIconRightPadding` - New hiliteIconRightPadding value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Hiliting`

    - #### getHiliteIconRightPadding

          public java.lang.Integer getHiliteIconRightPadding()

      How much padding should there be on the right of `hilite icons` for this field? Overrides `DetailViewer.hiliteIconRightPadding`
      Returns:
        Current hiliteIconRightPadding value. Default value is null
      See Also:
        `Hiliting`

    - #### setHiliteIconSize

          public DetailViewerField setHiliteIconSize(java.lang.Integer hiliteIconSize)

      Default width and height of `hilite icons` in this field. Takes precedence over hiliteIconWidth, hiliteIconHeight and hiliteIconSize specified at the component level. Can be overridden via `hiliteIconWidth` and `hiliteIconHeight`
      Parameters:
        `hiliteIconSize` - New hiliteIconSize value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `DetailViewer.setHiliteIconSize(int)`, `setHiliteIconWidth(java.lang.Integer)`, `setHiliteIconHeight(java.lang.Integer)`, `Hiliting`

    - #### getHiliteIconSize

          public java.lang.Integer getHiliteIconSize()

      Default width and height of `hilite icons` in this field. Takes precedence over hiliteIconWidth, hiliteIconHeight and hiliteIconSize specified at the component level. Can be overridden via `hiliteIconWidth` and `hiliteIconHeight`
      Returns:
        Current hiliteIconSize value. Default value is null
      See Also:
        `DetailViewer.getHiliteIconSize()`, `getHiliteIconWidth()`, `getHiliteIconHeight()`, `Hiliting`

    - #### setHiliteIconWidth

          public DetailViewerField setHiliteIconWidth(java.lang.Integer hiliteIconWidth)

      Width for hilite icons for this field. Overrides `DetailViewer.hiliteIconSize`, `DetailViewer.hiliteIconWidth`, and `hiliteIconSize`.
      Parameters:
        `hiliteIconWidth` - New hiliteIconWidth value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Hiliting`

    - #### getHiliteIconWidth

          public java.lang.Integer getHiliteIconWidth()

      Width for hilite icons for this field. Overrides `DetailViewer.hiliteIconSize`, `DetailViewer.hiliteIconWidth`, and `hiliteIconSize`.
      Returns:
        Current hiliteIconWidth value. Default value is null
      See Also:
        `Hiliting`

    - #### setImageHeight

          public DetailViewerField setImageHeight(java.lang.Integer imageHeight)

      Height of image shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageHeight` is "logoHeight", `record.logoHeight` will control the height of the image.

      Parameters:
        `imageHeight` - New imageHeight value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setImageSize(java.lang.Integer)`, `setImageWidth(java.lang.Integer)`, `ImageColumns overview and related methods`

    - #### getImageHeight

          public java.lang.Integer getImageHeight()

      Height of image shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageHeight` is "logoHeight", `record.logoHeight` will control the height of the image.

      Returns:
        Current imageHeight value. Default value is null
      See Also:
        `getImageSize()`, `getImageWidth()`, `ImageColumns overview and related methods`

    - #### setImageHeight

          public DetailViewerField setImageHeight(java.lang.String imageHeight)

      Height of image shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageHeight` is "logoHeight", `record.logoHeight` will control the height of the image.

      Parameters:
        `imageHeight` - New imageHeight value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setImageSize(java.lang.Integer)`, `setImageWidth(java.lang.Integer)`, `ImageColumns overview and related methods`

    - #### getImageHeightAsString

          public java.lang.String getImageHeightAsString()

      Height of image shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageHeight` is "logoHeight", `record.logoHeight` will control the height of the image.

      Returns:
        Current imageHeight value. Default value is null
      See Also:
        `getImageSize()`, `getImageWidth()`, `ImageColumns overview and related methods`

    - #### setImageSize

          public DetailViewerField setImageSize(java.lang.Integer imageSize)

      Size of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageSize` is "logoSize", `record.logoSize` will control the size of the image.

      Parameters:
        `imageSize` - New imageSize value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setImageWidth(java.lang.Integer)`, `setImageHeight(java.lang.Integer)`, `ImageColumns overview and related methods`

    - #### getImageSize

          public java.lang.Integer getImageSize()

      Size of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageSize` is "logoSize", `record.logoSize` will control the size of the image.

      Returns:
        Current imageSize value. Default value is null
      See Also:
        `getImageWidth()`, `getImageHeight()`, `ImageColumns overview and related methods`

    - #### setImageSize

          public DetailViewerField setImageSize(java.lang.String imageSize)

      Size of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageSize` is "logoSize", `record.logoSize` will control the size of the image.

      Parameters:
        `imageSize` - New imageSize value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setImageWidth(java.lang.Integer)`, `setImageHeight(java.lang.Integer)`, `ImageColumns overview and related methods`

    - #### getImageSizeAsString

          public java.lang.String getImageSizeAsString()

      Size of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image height. For example, if `field.imageSize` is "logoSize", `record.logoSize` will control the size of the image.

      Returns:
        Current imageSize value. Default value is null
      See Also:
        `getImageWidth()`, `getImageHeight()`, `ImageColumns overview and related methods`

    - #### setImageURLPrefix

          public DetailViewerField setImageURLPrefix(java.lang.String imageURLPrefix)

      If this field has type set to `"image"` and the URL for the image displayed is not absolute, the path of the URL will be relative to this string.

      Note : This is an advanced setting

      Parameters:
        `imageURLPrefix` - New imageURLPrefix value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `ImageColumns overview and related methods`

    - #### getImageURLPrefix

          public java.lang.String getImageURLPrefix()

      If this field has type set to `"image"` and the URL for the image displayed is not absolute, the path of the URL will be relative to this string.
      Returns:
        Current imageURLPrefix value. Default value is null
      See Also:
        `ImageColumns overview and related methods`

    - #### setImageURLSuffix

          public DetailViewerField setImageURLSuffix(java.lang.String imageURLSuffix)

      If this field has type set to `"image"`, the value of this property will be appended to the end of the URL for the icon displayed.

      Note : This is an advanced setting

      Parameters:
        `imageURLSuffix` - New imageURLSuffix value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `ImageColumns overview and related methods`

    - #### getImageURLSuffix

          public java.lang.String getImageURLSuffix()

      If this field has type set to `"image"`, the value of this property will be appended to the end of the URL for the icon displayed.
      Returns:
        Current imageURLSuffix value. Default value is null
      See Also:
        `ImageColumns overview and related methods`

    - #### setImageWidth

          public DetailViewerField setImageWidth(java.lang.Integer imageWidth)

      Width of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image width. For example, if `field.imageWidth` is "logoWidth", `record.logoWidth` will control the width of the image.

      Parameters:
        `imageWidth` - New imageWidth value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setImageSize(java.lang.Integer)`, `setImageHeight(java.lang.Integer)`, `ImageColumns overview and related methods`

    - #### getImageWidth

          public java.lang.Integer getImageWidth()

      Width of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image width. For example, if `field.imageWidth` is "logoWidth", `record.logoWidth` will control the width of the image.

      Returns:
        Current imageWidth value. Default value is null
      See Also:
        `getImageSize()`, `getImageHeight()`, `ImageColumns overview and related methods`

    - #### setImageWidth

          public DetailViewerField setImageWidth(java.lang.String imageWidth)

      Width of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image width. For example, if `field.imageWidth` is "logoWidth", `record.logoWidth` will control the width of the image.

      Parameters:
        `imageWidth` - New imageWidth value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setImageSize(java.lang.Integer)`, `setImageHeight(java.lang.Integer)`, `ImageColumns overview and related methods`

    - #### getImageWidthAsString

          public java.lang.String getImageWidthAsString()

      Width of images shown for fieldTypes image in this field.

      If set to a String, assumed to be a property on each record that specifies the image width. For example, if `field.imageWidth` is "logoWidth", `record.logoWidth` will control the width of the image.

      Returns:
        Current imageWidth value. Default value is null
      See Also:
        `getImageSize()`, `getImageHeight()`, `ImageColumns overview and related methods`

    - #### setIncludeFrom

          public DetailViewerField setIncludeFrom(java.lang.String includeFrom)

      Indicates this field's values come from another, related DataSource. The individual field will inherit settings such as `field.type` and `field.title` from the related DataSource just like fields from the primary DataSource.
      Parameters:
        `includeFrom` - New includeFrom value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getIncludeFrom

          public java.lang.String getIncludeFrom()

      Indicates this field's values come from another, related DataSource. The individual field will inherit settings such as `field.type` and `field.title` from the related DataSource just like fields from the primary DataSource.
      Returns:
        Current includeFrom value. Default value is null

    - #### setLinkText

          public DetailViewerField setLinkText(java.lang.String linkText)

      The HTML to display for values of this field if the field type is set to "link".

      This property sets linkText that will be the same for all records. You can set linkText on a per-record basis via `DetailViewerRecord.linkText`.

      Parameters:
        `linkText` - New linkText value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setType(java.lang.String)`, `DetailViewerRecord.setLinkText(java.lang.String)`, `DetailViewer.setLinkTextProperty(java.lang.String)`, `setLinkTextProperty(java.lang.String)`

    - #### getLinkText

          public java.lang.String getLinkText()

      The HTML to display for values of this field if the field type is set to "link".

      This property sets linkText that will be the same for all records. You can set linkText on a per-record basis via `DetailViewerRecord.linkText`.

      Returns:
        Current linkText value. Default value is null
      See Also:
        `getType()`, `DetailViewerRecord.getLinkText()`, `DetailViewer.getLinkTextProperty()`, `getLinkTextProperty()`

    - #### setLinkTextProperty

          public DetailViewerField setLinkTextProperty(java.lang.String linkTextProperty)

      Name of the property in a DetailViewerRecord that holds the HTML to display for values of this field if the field type is set to "link".
      Parameters:
        `linkTextProperty` - New linkTextProperty value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setType(java.lang.String)`, `DetailViewerRecord.setLinkText(java.lang.String)`, `setLinkText(java.lang.String)`, `DetailViewer.setLinkTextProperty(java.lang.String)`

    - #### getLinkTextProperty

          public java.lang.String getLinkTextProperty()

      Name of the property in a DetailViewerRecord that holds the HTML to display for values of this field if the field type is set to "link".
      Returns:
        Current linkTextProperty value. Default value is null
      See Also:
        `getType()`, `DetailViewerRecord.getLinkText()`, `getLinkText()`, `DetailViewer.getLinkTextProperty()`

    - #### setLinkURLPrefix

          public DetailViewerField setLinkURLPrefix(java.lang.String linkURLPrefix)

      If this field has type set to `"link"`, setting this property will apply a standard prefix to the link URL when displaying values of this field.

      Note : This is an advanced setting

      Parameters:
        `linkURLPrefix` - New linkURLPrefix value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setType(java.lang.String)`

    - #### getLinkURLPrefix

          public java.lang.String getLinkURLPrefix()

      If this field has type set to `"link"`, setting this property will apply a standard prefix to the link URL when displaying values of this field.
      Returns:
        Current linkURLPrefix value. Default value is null
      See Also:
        `getType()`

    - #### setLinkURLSuffix

          public DetailViewerField setLinkURLSuffix(java.lang.String linkURLSuffix)

      If this field has type set to `"link"`, setting this property will apply a standard suffix to the link URL when displaying values of this field.

      Note : This is an advanced setting

      Parameters:
        `linkURLSuffix` - New linkURLSuffix value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setType(java.lang.String)`

    - #### getLinkURLSuffix

          public java.lang.String getLinkURLSuffix()

      If this field has type set to `"link"`, setting this property will apply a standard suffix to the link URL when displaying values of this field.
      Returns:
        Current linkURLSuffix value. Default value is null
      See Also:
        `getType()`

    - #### setName

          public DetailViewerField setName(java.lang.String name)

      Name property used to identify the field, and determines which attribute from records will be displayed in this field.

      Must be unique within the DetailViewer as well as a valid JavaScript identifier - see `FieldName` for details and how to check for validity.

      The attribute of the records to display in this field may also be set by `displayField`.

      Overrides:
        `setName` in class `DBCField`
      Parameters:
        `name` - New name value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `FieldName`

    - #### getName

          public java.lang.String getName()

      Name property used to identify the field, and determines which attribute from records will be displayed in this field.

      Must be unique within the DetailViewer as well as a valid JavaScript identifier - see `FieldName` for details and how to check for validity.

      The attribute of the records to display in this field may also be set by `displayField`.

      Overrides:
        `getName` in class `DBCField`
      Returns:
        Current name value. Default value is null
      See Also:
        `FieldName`

    - #### setPrintCellStyle

          public DetailViewerField setPrintCellStyle(java.lang.String printCellStyle)

      If specified, when generating print HTML for this detailViewer, cells in this field will be rendered using this css className rather than `DetailViewer.printCellStyle`
      Parameters:
        `printCellStyle` - New printCellStyle value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `CSSStyleName`

    - #### getPrintCellStyle

          public java.lang.String getPrintCellStyle()

      If specified, when generating print HTML for this detailViewer, cells in this field will be rendered using this css className rather than `DetailViewer.printCellStyle`
      Returns:
        Current printCellStyle value. Default value is null
      See Also:
        `CSSStyleName`

    - #### setShowFileInline

          public DetailViewerField setShowFileInline(java.lang.Boolean showFileInline)

      For a field of type:"imageFile", indicates whether to stream the image and display it inline or to display the View and Download icons.
      Parameters:
        `showFileInline` - New showFileInline value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getShowFileInline

          public java.lang.Boolean getShowFileInline()

      For a field of type:"imageFile", indicates whether to stream the image and display it inline or to display the View and Download icons.
      Returns:
        Current showFileInline value. Default value is null

    - #### setTarget

          public DetailViewerField setTarget(java.lang.String target)

      By default, clicking a link rendered by this item opens it in a new browser window. You can alter this behavior by setting this property. The value of this property will be passed as the value to the `target` attribute of the anchor tag used to render the link. `target` is applicable only if the field type is set to "link".
      Parameters:
        `target` - New target value. Default value is "_blank"
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `setType(java.lang.String)`

    - #### getTarget

          public java.lang.String getTarget()

      By default, clicking a link rendered by this item opens it in a new browser window. You can alter this behavior by setting this property. The value of this property will be passed as the value to the `target` attribute of the anchor tag used to render the link. `target` is applicable only if the field type is set to "link".
      Returns:
        Current target value. Default value is "_blank"
      See Also:
        `getType()`

    - #### setTimeFormatter

          public DetailViewerField setTimeFormatter(TimeDisplayFormat timeFormatter)

      Time-format to apply to date type values within this field. If specified, any dates displayed in this field will be formatted as times using the appropriate format. This is most commonly only applied to fields specified as type `"time"` though if no explicit `dateFormatter` is specified it will be respected for other fields as well.

      If unspecified, a timeFormatter may be defined `at the component level` and will be respected by fields of type `"time"`.

      Note : This is an advanced setting

      Parameters:
        `timeFormatter` - New timeFormatter value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `Appearance overview and related methods`

    - #### getTimeFormatter

          public TimeDisplayFormat getTimeFormatter()

      Time-format to apply to date type values within this field. If specified, any dates displayed in this field will be formatted as times using the appropriate format. This is most commonly only applied to fields specified as type `"time"` though if no explicit `dateFormatter` is specified it will be respected for other fields as well.

      If unspecified, a timeFormatter may be defined `at the component level` and will be respected by fields of type `"time"`.

      Returns:
        Current timeFormatter value. Default value is null
      See Also:
        `Appearance overview and related methods`

    - #### setTitle

          public DetailViewerField setTitle(java.lang.String title)

      The title of the field as displayed on the left-hand side. If left unspecified, the title of the field is the `name` of the field.
      Overrides:
        `setTitle` in class `Field`
      Parameters:
        `title` - New title value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getTitle

          public java.lang.String getTitle()

      The title of the field as displayed on the left-hand side. If left unspecified, the title of the field is the `name` of the field.
      Overrides:
        `getTitle` in class `Field`
      Returns:
        Current title value. Default value is null
      See Also:
        `HTMLString`

    - #### setType

          public DetailViewerField setType(java.lang.String type)

      Specifies the type of this DetailViewerField. By default (value is `null`) the field shows a field title on the left and the field value on the right. There are four special values for this attribute:
      - "header" - If you specify type "header", the field spans both the field name and field value columns and contains text defined in the `value` attribute with the style specified by `DetailViewer.headerStyle`. You can use this field type as a titled separator.
      - "separator" - If you specify type "separator", the field spans both the field name and the field value columns with no text, and is styled using the style specified via `DetailViewer.separatorStyle`. The height of the separator field can be controlled via `height`.
      - "image" For viewing, a thumbnail image is rendered in the field. The URL of the image is the value of the field, and should be absolute. The size of the image is controlled by `imageSize`, `imageWidth`, `imageHeight`

      - "link" For viewing, a clickable html link (using an HTML anchor tag: <A>) is rendered in the field. The target URL is the value of the field, which is also the default display value. You can override the display value by setting `DetailViewerRecord.linkText` or `linkText`.

        Clicking the link opens the URL in a new window by default. To change this behavior, you can set `field.target`, which works identically to the "target" attribute on an HTML anchor (<A>) tag. See `target` for more information.

      Parameters:
        `type` - New type value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getType

          public java.lang.String getType()

      Specifies the type of this DetailViewerField. By default (value is `null`) the field shows a field title on the left and the field value on the right. There are four special values for this attribute:
      - "header" - If you specify type "header", the field spans both the field name and field value columns and contains text defined in the `value` attribute with the style specified by `DetailViewer.headerStyle`. You can use this field type as a titled separator.
      - "separator" - If you specify type "separator", the field spans both the field name and the field value columns with no text, and is styled using the style specified via `DetailViewer.separatorStyle`. The height of the separator field can be controlled via `height`.
      - "image" For viewing, a thumbnail image is rendered in the field. The URL of the image is the value of the field, and should be absolute. The size of the image is controlled by `imageSize`, `imageWidth`, `imageHeight`

      - "link" For viewing, a clickable html link (using an HTML anchor tag: <A>) is rendered in the field. The target URL is the value of the field, which is also the default display value. You can override the display value by setting `DetailViewerRecord.linkText` or `linkText`.

        Clicking the link opens the URL in a new window by default. To change this behavior, you can set `field.target`, which works identically to the "target" attribute on an HTML anchor (<A>) tag. See `target` for more information.

      Returns:
        Current type value. Default value is null

    - #### setUserFormula

          public DetailViewerField setUserFormula(UserFormula userFormula)

      Formula definition for this field.
      Parameters:
        `userFormula` - New userFormula value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getUserFormula

          public UserFormula getUserFormula()

      Formula definition for this field.
      Returns:
        Current userFormula value. Default value is null

    - #### setUserSummary

          public DetailViewerField setUserSummary(UserSummary userSummary)

      Summary definition for this field.
      Parameters:
        `userSummary` - New userSummary value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### getUserSummary

          public UserSummary getUserSummary()

      Summary definition for this field.
      Returns:
        Current userSummary value. Default value is null

    - #### setValue

          public DetailViewerField setValue(java.lang.String value)

      When a field specifies its `type` to be "header", the value of this attribute specifies the header text.
      Parameters:
        `value` - New value value. Default value is "undefined"
      Returns:
        `DetailViewerField` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getValue

          public java.lang.String getValue()

      When a field specifies its `type` to be "header", the value of this attribute specifies the header text.
      Returns:
        Current value value. Default value is "undefined"
      See Also:
        `HTMLString`

    - #### setValueMap

          public DetailViewerField setValueMap(java.util.Map valueMap)

      A property list (or an expression that evaluates to a property list) specifying a mapping of internal values to display values for the field (row).
      Overrides:
        `setValueMap` in class `Field`
      Parameters:
        `valueMap` - New valueMap value. Default value is null
      Returns:
        `DetailViewerField` instance, for chaining setter calls

    - #### setShowIfCondition

          public void setShowIfCondition(DetailViewerFieldIfFunction showIf)

      If specified on a field, this method is evaluated at draw time to determine whether or not to show this particular field.

      This method can be specified either as a function or a string that will be auto-converted to a function.

      Parameters:
        `showIf` - the showIf criteria

    - #### setDetailFormatter

          public void setDetailFormatter(DetailFormatter formatter)

    - #### setCellStyleHandler

          public void setCellStyleHandler(CellStyleHandler handler)

      Return the CSS class for a cell. Not implemented by default. The state of the record is indicated by adding a suffix to the base style. There are three independant boolean states, which are combined in the order given:
      1. "Selected" : whether cell is selected; enable by passing a Selection object as "selection"
      2. "Over" : mouse is over this cell; enable with showRollovers
      3. "Down" : mouse button is down over this cell
      For example, with a baseStyle of "myCell", a cell which is selected, which the mouse is over, will get a styleName of myCellSelectedOver.

      Cell Styles customizable by:

      - implementing this function
      - setting `cellStyle`
      - overriding `DetailViewer.getCellStyle()`